#ifndef __IMFMultipart_h__
#define __IMFMultipart_h__

#include "ZString.h"
#include "IMFBody.h"

namespace coreutils {
 
   class IMFMultipart: public IMFBody {
     
    public:
      IMFMultipart();
      IMFMultipart(ZString &in, ZString boundary);
      
      std::string toString();
      int getCount();
      ZString getSectionAt(int index);
      
    protected:
      std::vector<ZString> sections;
      
    private:
      char *boundary;      
 
   };
   
}

#endif
